Bug 484346 - xm dump-core does not truncate existing files
xm dump-core does not truncate existing files
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.4
All Linux
low Severity low
: rc
: ---
Assigned To: Jiri Denemark
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-06 05:41 EST by Jiri Denemark
Modified: 2009-12-14 16:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 06:09:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix this bug (495 bytes, patch)
2009-02-06 05:51 EST, Jiri Denemark
no flags Details | Diff

  None (edit)
Description Jiri Denemark 2009-02-06 05:41:59 EST
Description of problem:

When xm dump-core is instructed to dump a core to an existing file, the file is not truncated.

Version-Release number of selected component (if applicable):

xen-3.0.3-80.el5

How reproducible:

always

Steps to Reproduce:
1. start a guest
2. create a file larger than guest's memory, e.g.
   dd if=/dev/zero of=dump count=0 bs=1 seek=1G
3. xm dump-core guest dump
  
Actual results:

The file remains larger than guest's memory

Expected results:

The file has nothing but guest's core dump inside.

Additional info:
Comment 1 Jiri Denemark 2009-02-06 05:51:39 EST
Created attachment 331115 [details]
Patch to fix this bug

Trivial patch.
Comment 2 Jiri Denemark 2009-02-23 06:10:11 EST
A test package which fixes this issue (and several others as well) has been
made available at:

http://people.redhat.com/jdenemar/xen/

Could the reporter try it out and report if it fixes the problem or not?

Thank you for your cooperation.
Comment 3 Jiri Denemark 2009-02-23 06:27:32 EST
Cool stuff, it really works. Great job...

(Oh man, why did I ask myself? :-))
Comment 4 Jiri Denemark 2009-03-02 05:22:52 EST
Fix built into xen-3.0.3-81.el5
Comment 6 Yewei Shao 2009-07-28 04:06:14 EDT
Verified on xen-3.0.3-91.el5
Comment 8 errata-xmlrpc 2009-09-02 06:09:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1328.html

Note You need to log in before you can comment on or make changes to this bug.